restricted manager does not recognize nvidia 8600M GT on hardy

Bug #182237 reported by Dirk Schramm on 2008-01-12
4
Affects Status Importance Assigned to Milestone
linux-restricted-modules-2.6.24 (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: linux-restricted-modules-2.6.24-3-generic

i do not have the option to install the proprietary nvidia drivers via restricted manager, card is not recognized (dell vostro 1700, nvidia 8600M GT) on hardy alpha3.

Linux b00h 2.6.24-3-generic #1 SMP Thu Jan 3 22:50:33 UTC 2008 x86_64 GNU/Linux

output of lspci:

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Contoller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600M GT (rev a1)
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
03:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
03:01.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
03:01.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)

restricted driver manager just shows the intel wlan-chip, nothing else

Timo Aaltonen (tjaalton) wrote :

True, the file /usr/share/linux-restricted-modules/2.6.24-3-generic/modules.alias.override/nvidia does not have any pci-id's listed for nvidia_new.

Changed in linux-restricted-modules-2.6.24:
importance: Undecided → High
status: New → Confirmed
Johan Kiviniemi (ion) wrote :

The attached version of nvidia_supported should work.

Dirk Schramm (no-comment) wrote :

the attached script works fine, thanks for the quick fix.

cheers,

dirk

Dirk Schramm (no-comment) wrote :

after update to restricted-modules-2.6.24-4 same problem again... only three devices listed for nvidia_new

xxxx@b00h:/usr/share/linux-restricted-modules/2.6.24-4-generic/modules.alias.override$ grep nvidia_new nvidia
alias pci:v000010DEd00000000sv*sd*bc03sc*i* nvidia_new
alias pci:v000010DEd00000001sv*sd*bc03sc*i* nvidia_new
alias pci:v000010DEd00000002sv*sd*bc03sc*i* nvidia_new

again no support for 8600M GT

cyd (cyd) wrote :

p4 2.2 + 6600gt , card is recognized, but installing the driver crashes Xorg, i have to put the driver NV , disable mouse option and use /dev/input/mice to have it working again

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-restricted-modules-2.6.24 - 2.6.24.6-4.13

---------------
linux-restricted-modules-2.6.24 (2.6.24.6-4.13) hardy; urgency=low

  [ Timo Aaltonen ]
  * nvidia: Update to 169.09
    - Fixed a problem causing the fan on some GPUs to always run
      at full speed. (LP: #184914)
    - Fixed a bug that caused the X driver to crash if the X.Org
      GLX extension module was loaded intead of NVIDIA's.
    - Improved the X driver's awareness of the current notebook
      docking status.
    - Fixed brightness control on HP Compaq notebooks.
    - Fixed a bug in the Linux/i2c algorithm driver implementation
      that prevented core transfer types from succeeding.
  * fglrx: Update to 8-01 (LP: #177829, #148345)
    - Corruption will no longer be noticed in the lower right corner
      of the display or on the mouse pointer after the system is
      running for a long period of time. (LP: #106148)
    - Connecting a display device that supports 1680x1050 to a system
      running Linux will no longer result in a maximum display resolution
      of 1280x1024 only being available.
    - Custom mode lines in xorg.conf will no longer be ignored by the
      fglrx driver.
    - Suspending to RAM or DISK on kernel version 2.6.23 or later no
      longer fails. (LP: #121653)
  * nvidia/nvidia-glx-config: Remove, not needed anymore and only confuses
    people and breaks keyboard setups (LP: #152486)
  * control.stub.in: Add fglrx-amdcccle dummy package for easy transition
    from packages generated by the ATI installer.
  * fglrx-control:
    - Remove fireglcontrol*.desktop, and install amdcccle*.desktop from
      the extracted installer instead.
    - Install amdcccle in this package, not the driver.
    - Conflicts/Replaces xorg-driver-fglrx <= $previousversion.
  * fglrx.xsession: Obsolete by now, removed.
  * Drop obsolete build-dependencies: libxxf86misc-dev, libxtst-dev,
    libxxf86vm-dev, libxinerama-dev, libstdc++5, libqt-mt-dev.

  [ Johan Kiviniemi ]
  * nvidia_supported: New version to support the latest NVIDIA
    release. (LP: #182237)

 -- Timo Aaltonen <email address hidden> Wed, 23 Jan 2008 11:41:54 +0200

Changed in linux-restricted-modules-2.6.24:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers